package com.jz.dmp.modules.dao;

import com.jz.dmp.modules.controller.DataIntegration.bean.CheckJyRlueStatusDto;
import com.jz.dmp.modules.controller.DataIntegration.bean.SourceDbNameListDto;
import com.jz.dmp.modules.controller.DataIntegration.bean.TaskListPageDto;
import com.jz.dmp.modules.controller.DataIntegration.bean.TaskListPageReq;
import com.jz.dmp.modules.model.DmpAgentDatasourceInfo;
import com.jz.dmp.modules.model.DmpSyncingDatasource;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Bellamy
 * @since 2020-12-020
 */
public interface OfflineSynchDao {

    List<TaskListPageDto> queryTaskListPage(TaskListPageReq taskListPageReq) throws Exception;

    List<SourceDbNameListDto> querygSourceDbList(Map map) throws Exception;

    DmpSyncingDatasource queryDmpSyncingDatasource(@Param("sourceDbId") Integer sourceDbId) throws Exception;

    DmpAgentDatasourceInfo querySourceDbInfoBySourceId(@Param("sourceDbId") Long sourceDbId) throws Exception;

    Map<String, Object> selectNavigationTreeByTaskId(String taskId) throws Exception;

    List<CheckJyRlueStatusDto> selectCheckJyStatusInfo(@Param("executionId") String executionId) throws Exception;

    /**
     * 离线同步任务列表分页查询
     *
     * @return
     * @author Bellamy
     */
    List<TaskListPageDto> selectOfflineTaskInfo(TaskListPageReq taskListPageReq) throws Exception;
}