package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 实时同步表信息  表级别的信息
 */
@ApiModel(value = "实时同步表级别的信息", description = "实时同步表级别的信息")
public class RealTimeSyncTableModel implements Serializable {

	private static final long serialVersionUID = -5882129191251102234L;
	/**
	 * 表名
	 */
	@ApiModelProperty(value = "表名")
	private String tableName;
	
	/**
	 * 主键名称
	 */
	@ApiModelProperty(value = "主键名称")
	private String pkName;
	
	/**
	 * 是否提交同步过同步
	 */
	@ApiModelProperty(value = "是否提交同步过同步")
	private boolean ifSubmited;
	
	/**
	 * 是否是黑名单
	 */
	@ApiModelProperty(value = "是否是黑名单")
	private boolean ifBlacklist;
	
	/**
	 * 脱敏字段
	 */
	@ApiModelProperty(value = "脱敏字段")
	private String desensitizationField;
	
	/**
	 * 脱敏算法
	 */
	@ApiModelProperty(value = "脱敏算法")
	private String arithmetic;
	
	/**
	 * 表下的所有列信息
	 */
	@ApiModelProperty(value = "表下的所有列信息")
	private RealTimeSyncColumnModel columnInfo;
	
	
	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getPkName() {
		return pkName;
	}

	public void setPkName(String pkName) {
		this.pkName = pkName;
	}

	public String getDesensitizationField() {
		return desensitizationField;
	}

	public void setDesensitizationField(String desensitizationField) {
		this.desensitizationField = desensitizationField;
	}

	public String getArithmetic() {
		return arithmetic;
	}

	public void setArithmetic(String arithmetic) {
		this.arithmetic = arithmetic;
	}

	public RealTimeSyncColumnModel getColumnInfo() {
		return columnInfo;
	}

	public void setColumnInfo(RealTimeSyncColumnModel columnInfo) {
		this.columnInfo = columnInfo;
	}

	public boolean isIfSubmited() {
		return ifSubmited;
	}

	public void setIfSubmited(boolean ifSubmited) {
		this.ifSubmited = ifSubmited;
	}

	public boolean isIfBlacklist() {
		return ifBlacklist;
	}

	public void setIfBlacklist(boolean ifBlacklist) {
		this.ifBlacklist = ifBlacklist;
	}
}
